package com.menagerie.ophelia

import android.os.Bundle
import androidx.activity.ComponentActivity
import androidx.activity.compose.setContent
import com.menagerie.ophelia.database.polycule.PolyculeApplication
import com.menagerie.ophelia.database.polycule.PolyculeDatabaseManager
import com.menagerie.ophelia.ui.theme.OpheliaTheme
import com.menagerie.ophelia.view.PolyculeApp

class MainActivity : ComponentActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContent {
            OpheliaTheme {
                val repository = (application as PolyculeApplication).repository
                PolyculeDatabaseManager.polyculeRepository = repository
                PolyculeApp()
            }
        }
    }
}
