package com.menagerie.ophelia.database.polycule.entity

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.PrimaryKey
import com.menagerie.ophelia.R

@Entity(
    tableName = "bio_table",
)
data class Bio(
    @PrimaryKey(autoGenerate = true) val id: Int = 0,
    @ColumnInfo(name = "name") val name: String = "",
    @ColumnInfo(name = "description") val description: String = "",
    @ColumnInfo(name = "pfpRes") val pfpRes: Int = R.drawable.ic_app_logo,
)